Bug 1198340 - Incremental update task name should have more info
Summary: Incremental update task name should have more info
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks: 1130651
TreeView+ depends on / blocked
 
Reported: 2015-03-03 20:24 UTC by sthirugn@redhat.com
Modified: 2019-09-25 21:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
Incremental update tasks (191.93 KB, image/png)
2015-03-03 20:24 UTC, sthirugn@redhat.com
no flags Details
verification screenshot 1 (121.52 KB, image/png)
2018-02-07 23:05 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 15808 None None None 2016-07-24 15:47:06 UTC

Description sthirugn@redhat.com 2015-03-03 20:24:55 UTC
Created attachment 997652 [details]
Incremental update tasks

Description of problem:
Incremental update task name should have more info

Version-Release number of selected component (if applicable):
Satellite-6.1.0-RHEL-6-20150224.0

How reproducible:
Always

Steps to Reproduce:
1. Perform multiple incremental updates
2. Go to Monitor -> Tasks page

Actual results:
Review the task names of
- Incremental Update
- Install Applicable Errata

Expected results:
The general task names such as
- 'Incremental Update' 
- 'Install Applicable Errata' 
are too generic for me to scan the tasks.  It should have more info like content view or content hosts or whichever is applicable to make it more readable.

Additional info:
screenshot attached.

Comment 2 Justin Sherrill 2015-04-21 18:36:38 UTC
So there isn't a lot we can do here, especially for Incremental Update, about the best i can think of is:

Incremental Update of 5 Content View Versions
or potentially:
Incremental Update of 5 Content View Versions in 3 Content Views
or even:
Incremental Update of 5 Content View Versions with 3 Errata
granted, that could get busy with more content types:
Incremental Update of 5 Content View Versions with 3 Errata, 5 Packages, 2 Puppet Modules


For Install applicable errata, we could do:

Install 3 applicable errata on hostname.domain.com


Thoughts?

Comment 3 sthirugn@redhat.com 2015-05-05 16:30:38 UTC
(In reply to Justin Sherrill from comment #2)
> So there isn't a lot we can do here, especially for Incremental Update,
> about the best i can think of is:
> 
> Incremental Update of 5 Content View Versions
> or potentially:
> Incremental Update of 5 Content View Versions in 3 Content Views
> or even:
> Incremental Update of 5 Content View Versions with 3 Errata
> granted, that could get busy with more content types:
> Incremental Update of 5 Content View Versions with 3 Errata, 5 Packages, 2
> Puppet Modules
> 
> 
> For Install applicable errata, we could do:
> 
> Install 3 applicable errata on hostname.domain.com
> 
> 
> Thoughts?

The more information is better.  I like

For Incremental update:
Incremental Update of 5 Content View Versions with 3 Errata, 5 Packages, 2 Puppet Modules

For Install applicable errata:
Install 3 applicable errata on hostname.domain.com

Comment 8 Brad Buckingham 2016-07-24 15:47:04 UTC
Created redmine issue http://projects.theforeman.org/issues/15808 from this bug

Comment 9 Bryan Kearney 2016-07-28 20:05:55 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 10 Bryan Kearney 2016-08-22 20:06:10 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/15808 has been closed

Comment 13 jcallaha 2018-02-07 23:04:11 UTC
Verified in Satellite 6.3 Snap 35. 

Incremental update task names now contain detailed information about what is in the update. Fore example: "Incremental Update of 1 Content View Version(s) with 102 Package(s), and 1 Errata"

Also, see attached screenshot for verification.

Comment 14 jcallaha 2018-02-07 23:05:01 UTC
Created attachment 1392907 [details]
verification screenshot 1

Comment 15 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.